package circles;

import java.awt.Dimension;
import java.awt.GridLayout;
import java.awt.Toolkit;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.util.ArrayList;
import javax.swing.JFrame;
import javax.swing.JTable;

public class Prozor extends JFrame
{
    KPanel panel;
    JTable table;
    
    public Prozor()
    {
        setGraphics();
        setComponents();
    }
    
    private void setGraphics()
    {
        this.setDefaultCloseOperation(EXIT_ON_CLOSE);
        Dimension window = new Dimension(480, 640);
        Dimension screen = Toolkit.getDefaultToolkit().getScreenSize();
        this.setTitle("Iscrtavanje Krugova");
        this.setVisible(true);
        this.setLocation((screen.width - window.width)/2, (screen.height - window.height)/2);
        this.setPreferredSize(window);
        this.setLayout(new GridLayout(2,1));
        pack();
    }
    private void setComponents()
    {
        ArrayList<Item> items = new ArrayList<>();
        ItemTableModel m = new ItemTableModel(items);
        panel = new KPanel(m);
        m.addTableModelListener(panel);
        table = new JTable(m);
        panel.addMouseListener(new MouseAdapter()
        {
            @Override
            public void mouseClicked(MouseEvent e)
            {
                ((ItemTableModel)table.getModel()).addItem(new Item(e.getX(), e.getY(), 50));
                panel.repaint();
            }
        });
        add(panel);
        add(table);
    }
}
